<script>
  let id = '';
  let superiorId = '';
  let errorMessage = '';

  async function transferEmployee(event) {
    event.preventDefault();
    errorMessage = '';

    if (!id || !superiorId) {
      errorMessage = 'Please enter a valid Employee and Superior ID';
      return;
    }

    const response = await fetch(`/employees/${id}/superior/${superiorId}`, {
      method: 'PUT',
    });

    if (response.ok) {
      alert('Mitarbeiter*in wurde versetzt.');
      id = '';
    } else {
      errorMessage = 'Fehler beim Versetzen.';
    }
  }
</script>

<style>
    input {
        width: 500px;
    }
  .error-message {
    color: red;
  }
</style>

<h1>Mitarbeiter*in versetzen</h1>
<form on:submit="{transferEmployee}">
  <label for="id">Mitarbeiter-ID</label>
  <input type="text" id="id" bind:value="{id}" required />
  <label for="superiorId">Vorgesetzten-ID</label>
  <input type="text" id="superiorId" bind:value="{superiorId}" required />  

  <button type="submit">Versetzen</button>
</form>

{#if errorMessage}
  <p class="error-message">{errorMessage}</p>
{/if}
